javax.ws.rs

## Class NotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - javax.ws.rs.ClientErrorException
          - - javax.ws.rs.NotSupportedException

- All Implemented Interfaces:
    Serializable

      public class NotSupportedException
      extends ClientErrorException

  A runtime exception indicating that the client request entity media type is `not supported`.
  Since:
    2.0
  Author:
    Sergey Beryozkin, Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotSupportedException()` Construct a new unsupported media type exception.
    `NotSupportedException(Response response)` Construct a new unsupported media type exception.
    `NotSupportedException(Response response, Throwable cause)` Construct a new unsupported media type exception.
    `NotSupportedException(String message)` Construct a new unsupported media type exception.
    `NotSupportedException(String message, Response response)` Construct a new unsupported media type exception.
    `NotSupportedException(String message, Response response, Throwable cause)` Construct a new unsupported media type exception.
    `NotSupportedException(String message, Throwable cause)` Construct a new unsupported media type exception.
    `NotSupportedException(Throwable cause)` Construct a new unsupported media type exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotSupportedException

          public NotSupportedException()

      Construct a new unsupported media type exception.

    - #### NotSupportedException

          public NotSupportedException(String message)

      Construct a new unsupported media type exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

    - #### NotSupportedException

          public NotSupportedException(Response response)

      Construct a new unsupported media type exception.
      Parameters:
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `415`.

    - #### NotSupportedException

          public NotSupportedException(String message,
                               Response response)

      Construct a new unsupported media type exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `415`.

    - #### NotSupportedException

          public NotSupportedException(Throwable cause)

      Construct a new unsupported media type exception.
      Parameters:
        `cause` - the underlying cause of the exception.

    - #### NotSupportedException

          public NotSupportedException(String message,
                               Throwable cause)

      Construct a new unsupported media type exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the underlying cause of the exception.

    - #### NotSupportedException

          public NotSupportedException(Response response,
                               Throwable cause)

      Construct a new unsupported media type exception.
      Parameters:
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `415`.

    - #### NotSupportedException

          public NotSupportedException(String message,
                               Response response,
                               Throwable cause)

      Construct a new unsupported media type exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `415`.

Copyright © 2014. All Rights Reserved.